Subject: Re: bug#58104: 29.0.50; Emacs crushers in console probably by M-w

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Oct 2022 22:24:55 +0300

> Date: Wed, 5 Oct 2022 21:50:01 +0300
> From: Jean Louis <[email-masked]>
> Cc: [email-masked]
> 
> * Eli Zaretskii <[email-masked]> [2022-10-01 09:29]:
> > tags 58104 notabug
> > close 58104
> > thanks
> > 
> > > Date: Sat, 01 Oct 2022 03:56:59 +0000
> > > CC: [email-masked]
> > > From: Jean Louis <[email-masked]>
> > > 
> > > It asked me in console if I wish to dump core, save session, and restart, something like that.
> > > 
> > > SIGINT is what I have read on screen. 
> > 
> > This is the emergency exit feature, not a bug.  If you don't want
> > Emacs to abort in this situation (e.g., if you pressed C-g by
> > accident, but don't intend to end the session), then answer NO to the
> > questions.
> > 
> > So I'm closing this bug.
> 
> I never said that I have pressed C-g by accident. That is your assumption.

I don't understand how it matters whether you pressed C-g by accident
or not.  If you did press C-g several times, then what happened is
expected.

If you didn't press C-g at all, I don't understand how SIGINT happened
at all in this case, since C-g is the only way it can happen.